Skip to content
Start here

List Subnets

client.zeroTrust.networks.subnets.list(SubnetListParams { account_id, address_family, comment, 9 more } params, RequestOptionsoptions?): V4PagePaginationArray<Subnet { id, capacity, comment, 6 more } >
GET/accounts/{account_id}/zerotrust/subnets

Lists and filters subnets in an account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloudflare One Networks WriteCloudflare One Networks Read
ParametersExpand Collapse
params: SubnetListParams { account_id, address_family, comment, 9 more }
account_id: string

Path param: Cloudflare account ID

maxLength32
address_family?: "v4" | "v6"

Query param: If set, only include subnets in the given address family - v4 or v6

One of the following:
"v4"
"v6"
comment?: string

Query param: If set, only list subnets with the given comment.

existed_at?: string

Query param: If provided, include only resources that were created (and not deleted) before this time. URL encoded.

formaturl-encoded-date-time
is_default_network?: boolean

Query param: If true, only include default subnets. If false, exclude default subnets subnets. If not set, all subnets will be included.

is_deleted?: boolean

Query param: If true, only include deleted subnets. If false, exclude deleted subnets. If not set, all subnets will be included.

name?: string

Query param: If set, only list subnets with the given name

network?: string

Query param: If set, only list the subnet whose network exactly matches the given CIDR.

page?: number

Query param: Page number of paginated results.

minimum1
per_page?: number

Query param: Number of results to display.

maximum1000
minimum1
sort_order?: "asc" | "desc"

Query param: Sort order of the results. asc means oldest to newest, desc means newest to oldest. If not set, they will not be in any particular order.

One of the following:
"asc"
"desc"
subnet_types?: "cloudflare_source" | "initial_resolved_ip" | "warp"

Query param: If set, the types of subnets to include, separated by comma.

One of the following:
"cloudflare_source"
"initial_resolved_ip"
"warp"
ReturnsExpand Collapse
Subnet { id, capacity, comment, 6 more }
id?: string

The UUID of the subnet.

formatuuid
capacity?: Capacity { total, used }

IP capacity information for the subnet.

total?: number

Total number of assignable IPs in the subnet.

used?: number

Number of assigned IPs in the subnet.

comment?: string

An optional description of the subnet.

created_at?: string

Timestamp of when the resource was created.

formatdate-time
deleted_at?: string

Timestamp of when the resource was deleted. If null, the resource has not been deleted.

formatdate-time
is_default_network?: boolean

If true, this is the default subnet for the account. There can only be one default subnet per account.

name?: string

A user-friendly name for the subnet.

network?: string

The private IPv4 or IPv6 range defining the subnet, in CIDR notation.

subnet_type?: "cloudflare_source" | "initial_resolved_ip" | "warp"

The type of subnet.

One of the following:
"cloudflare_source"
"initial_resolved_ip"
"warp"

List Subnets

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const subnet of client.zeroTrust.networks.subnets.list({
  account_id: '699d98642c564d2e855e9661899b7252',
})) {
  console.log(subnet.id);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
      "capacity": {
        "total": 254,
        "used": 42
      },
      "comment": "example comment",
      "created_at": "2021-01-25T18:22:34.317854Z",
      "deleted_at": "2009-11-10T23:00:00Z",
      "is_default_network": true,
      "name": "IPv4 Cloudflare Source IPs",
      "network": "100.64.0.0/12",
      "subnet_type": "cloudflare_source"
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
      "capacity": {
        "total": 254,
        "used": 42
      },
      "comment": "example comment",
      "created_at": "2021-01-25T18:22:34.317854Z",
      "deleted_at": "2009-11-10T23:00:00Z",
      "is_default_network": true,
      "name": "IPv4 Cloudflare Source IPs",
      "network": "100.64.0.0/12",
      "subnet_type": "cloudflare_source"
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}